Bug 1284150 - [PATCH] Use regular variables for git sources
[PATCH] Use regular variables for git sources
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 22:14 EST by Colin Walters
Modified: 2015-12-08 10:36 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 10:36:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Use-regular-variables-for-git-sources.patch (9.03 KB, patch)
2015-11-20 22:14 EST, Colin Walters
no flags Details | Diff
rebased (9.02 KB, patch)
2015-12-08 10:32 EST, Colin Walters
no flags Details | Diff

  None (edit)
Description Colin Walters 2015-11-20 22:14:03 EST
Created attachment 1097418 [details]
0001-Use-regular-variables-for-git-sources.patch

The current https://fedoraproject.org/wiki/Packaging:SourceURL spec
suggests using e.g. `commit0` for the git commit variable.  The
implication of this is that e.g. `Source0` uses `commit0`, `Source1`
uses `commit1` etc.

Move things this way so that the sources that come from git
repositories (docker, docker-selinux, docker-storage-setup,
docker-utils) are ordered first and consistently named.

What I plan to do next is enhance
https://github.com/cgwalters/rpmdistro-gitoverlay to understand how to
fetch all component git repositories here.
---
 .gitignore  |  2 ++
 docker.spec | 93 +++++++++++++++++++++++++++++++++----------------------------
 sources     |  2 +-
 3 files changed, 53 insertions(+), 44 deletions(-)
Comment 1 Colin Walters 2015-11-24 14:57:30 EST
This is still outstanding; Lokesh you were ok with this?  Can you rebase or do you want me to?
Comment 2 Colin Walters 2015-12-08 10:32 EST
Created attachment 1103639 [details]
rebased
Comment 3 Colin Walters 2015-12-08 10:36:53 EST
IRC review from lsm5+.

Note You need to log in before you can comment on or make changes to this bug.